<?php

define( "DOCUMENT_ROOT", "/local/served/live/DROPSPACE"                );
define(          "BASE", DOCUMENT_ROOT . "/DropSpace/latest/dropspace" );
define(   "COMMON_PATH", BASE . "/share/content/"                      );
define(    "SITES_PATH", DOCUMENT_ROOT . "/sites"                      );

$sitename = DetermineSitename( SITES_PATH );

define(  "CONTENT_PATH", SITES_PATH . "/$sitename" );
define(    "PAGES_PATH", DOCUMENT_ROOT . "/share/pages/$sitename"      );
define(  "CLIENT_STYLE", "$sitename"                                   );
define(     "RESOURCES", "/client/$sitename/resources"                 );

if ( str_contains( $_SERVER["SERVER_NAME"], "dropspace.local" ) )
{
	define( "DEBUG", true );
}

include( BASE . "/dep/libpagecentric/configuration/initialisation.php" );

function DetermineSitename( $sites_path )
{
	$sitename = "";
    $domain   = $_SERVER["SERVER_NAME"];
    $is_local = (FALSE !== strpos( $domain, ".local" ));
    $is_draft = (0     === strpos( $domain, "draft-" ));

    $sitename = $is_draft ? str_replace( "draft-", "", $domain ) : $domain;

    $sitename = str_replace( "www.", "", $sitename );

    if ( $is_draft )
    {
        $sitename = $sitename . ".draft";
    }

    if ( ! file_exists( $sites_path . "/" . $sitename ) )
    {
        $bits   = explode( '.', $sitename );

        foreach ( $bits as $part )
        {
            if ( ! IsGeneric( $part ) )
            {
                $sitename = $part;
                break;
            }
        }
        if ( $is_local ) $sitename = $sitename . ".local";
        if ( $is_draft ) $sitename = $sitename . ".draft";

        if ( ! file_exists( $sites_path . "/" . $sitename ) )
        {
            error_log( "Could not find directory for domain: $domain ($sitename)" );
            exit;
        }
    }

    error_log( "Accessing: $sitename for: $domain" );

	return $sitename;
}

function IsGeneric( $value )
{
	switch ( $value )
	{
	case "www":
	case "au":
	case "com":
	case "net":
	case "online":
	case "org":
	case "xyz":
		return true;

	default:
		return false;
	}
}

function str_contains( $haystack, $needle )
{
	return (FALSE !== strpos( $haystack, $needle ));
}

?>
